### Method

# Gio TlsPassword set_value

since: 2.30

#### Declaration [src]

    void
    g_tls_password_set_value (
      GTlsPassword* password,
      const guchar* value,
      gssize length
    )

#### Description [src]

Set the value for this password. The `value` will be copied by the password object.

Specify the `length`, for a non-nul-terminated password. Pass -1 as `length` if using a nul-terminated password, and `length` will be calculated automatically. (Note that the terminating nul is not considered part of the password in this case.).

Available since: 2.30

#### Parameters

`value`

  Type: An array of `guchar`

  The new password value.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gssize`

  The length of the password, or -1.